[arch-commits] Commit in electrum/repos/community-any (4 files)

Santiago Torres-Arias sangy at archlinux.org
Thu Mar 7 17:03:13 UTC 2019


    Date: Thursday, March 7, 2019 @ 17:03:12
  Author: sangy
Revision: 438022

archrelease: copy trunk to community-any

Added:
  electrum/repos/community-any/0001-prevent-requirements.txt-from-being-installed-to-usr.patch
    (from rev 438021, electrum/trunk/0001-prevent-requirements.txt-from-being-installed-to-usr.patch)
  electrum/repos/community-any/PKGBUILD
    (from rev 438021, electrum/trunk/PKGBUILD)
Deleted:
  electrum/repos/community-any/0001-prevent-requirements.txt-from-being-installed-to-usr.patch
  electrum/repos/community-any/PKGBUILD

-----------------------------------------------------------------+
 0001-prevent-requirements.txt-from-being-installed-to-usr.patch |   78 ++++----
 PKGBUILD                                                        |   88 +++++-----
 2 files changed, 86 insertions(+), 80 deletions(-)

Deleted: 0001-prevent-requirements.txt-from-being-installed-to-usr.patch
===================================================================
--- 0001-prevent-requirements.txt-from-being-installed-to-usr.patch	2019-03-07 17:02:22 UTC (rev 438021)
+++ 0001-prevent-requirements.txt-from-being-installed-to-usr.patch	2019-03-07 17:03:12 UTC (rev 438022)
@@ -1,39 +0,0 @@
-From e72947c8fd50575d69cb005a52f99aeef66f4186 Mon Sep 17 00:00:00 2001
-From: Marcel O'Neil <marcel at marceloneil.com>
-Date: Wed, 7 Mar 2018 15:15:54 -0500
-Subject: [PATCH] prevent requirements.txt from being installed to /usr
-
----
- MANIFEST.in | 2 ++
- setup.py    | 2 +-
- 2 files changed, 3 insertions(+), 1 deletion(-)
-
-diff --git a/MANIFEST.in b/MANIFEST.in
-index 4fa5491a..b7355bd9 100644
---- a/MANIFEST.in
-+++ b/MANIFEST.in
-@@ -4,6 +4,8 @@ include electrum.conf.sample
- include electrum.desktop
- include *.py
- include electrum
-+include contrib/requirements/requirements.txt
-+include contrib/requirements/requirements-hw.txt
- recursive-include lib *.py
- recursive-include gui *.py
- recursive-include plugins *.py
-diff --git a/setup.py b/setup.py
-index 63581a61..030993b5 100755
---- a/setup.py
-+++ b/setup.py
-@@ -20,7 +20,7 @@ version = imp.load_source('version', 'lib/version.py')
- if sys.version_info[:3] < (3, 4, 0):
-     sys.exit("Error: Electrum requires Python version >= 3.4.0...")
- 
--data_files = ['contrib/requirements/' + r for r in ['requirements.txt', 'requirements-hw.txt']]
-+data_files = []
- 
- if platform.system() in ['Linux', 'FreeBSD', 'DragonFly']:
-     parser = argparse.ArgumentParser()
--- 
-2.16.2
-

Copied: electrum/repos/community-any/0001-prevent-requirements.txt-from-being-installed-to-usr.patch (from rev 438021, electrum/trunk/0001-prevent-requirements.txt-from-being-installed-to-usr.patch)
===================================================================
--- 0001-prevent-requirements.txt-from-being-installed-to-usr.patch	                        (rev 0)
+++ 0001-prevent-requirements.txt-from-being-installed-to-usr.patch	2019-03-07 17:03:12 UTC (rev 438022)
@@ -0,0 +1,39 @@
+From e72947c8fd50575d69cb005a52f99aeef66f4186 Mon Sep 17 00:00:00 2001
+From: Marcel O'Neil <marcel at marceloneil.com>
+Date: Wed, 7 Mar 2018 15:15:54 -0500
+Subject: [PATCH] prevent requirements.txt from being installed to /usr
+
+---
+ MANIFEST.in | 2 ++
+ setup.py    | 2 +-
+ 2 files changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/MANIFEST.in b/MANIFEST.in
+index 4fa5491a..b7355bd9 100644
+--- a/MANIFEST.in
++++ b/MANIFEST.in
+@@ -4,6 +4,8 @@ include electrum.conf.sample
+ include electrum.desktop
+ include *.py
+ include electrum
++include contrib/requirements/requirements.txt
++include contrib/requirements/requirements-hw.txt
+ recursive-include lib *.py
+ recursive-include gui *.py
+ recursive-include plugins *.py
+diff --git a/setup.py b/setup.py
+index 63581a61..030993b5 100755
+--- a/setup.py
++++ b/setup.py
+@@ -20,7 +20,7 @@ version = imp.load_source('version', 'lib/version.py')
+ if sys.version_info[:3] < (3, 4, 0):
+     sys.exit("Error: Electrum requires Python version >= 3.4.0...")
+ 
+-data_files = ['contrib/requirements/' + r for r in ['requirements.txt', 'requirements-hw.txt']]
++data_files = []
+ 
+ if platform.system() in ['Linux', 'FreeBSD', 'DragonFly']:
+     parser = argparse.ArgumentParser()
+-- 
+2.16.2
+

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-07 17:02:22 UTC (rev 438021)
+++ PKGBUILD	2019-03-07 17:03:12 UTC (rev 438022)
@@ -1,41 +0,0 @@
-# Maintainer: Christian Rebischke <chris.rebischke at archlinux.org>
-# Co-Maintainer: Santiago Torres-Arias <santiago at archlinux.org>
-# Contributor: Timothy Redaelli <timothy.redaelli at gmail.com>
-# Contributor: Andy Weidenbaum <archbaum at gmail.com>
-
-pkgname=electrum
-pkgver=3.3.4
-pkgrel=1
-pkgdesc="Lightweight Bitcoin wallet"
-arch=('any')
-makedepends=('python-setuptools')
-depends=('python-pyaes' 'python-ecdsa' 'python-pbkdf2' 'python-requests' 'python-qrcode'
-         'python-protobuf' 'python-dnspython' 'python-jsonrpclib-pelix' 'python-pysocks'
-         'python-pyqt5' 'python-pycryptodomex' 'python-websocket-client' 'python-certifi'
-         'python-aiorpcx' 'python-aiohttp' 'python-aiohttp-socks')
-optdepends=('python-btchip: BTChip hardware wallet support'
-            'python-matplotlib: plot transaction history in graphical mode'
-            'zbar: QR code reading support')
-url="https://electrum.org"
-license=('MIT')
-source=("https://download.electrum.org/${pkgver}/${pkgname^}-${pkgver}.tar.gz"{,.asc})
-sha512sums=('297eb757dccb166d40a652be2c1c058e42f16416b586b69f32223966ff1e92a34e5d01822d71bd063bfa72b7bbbcae4251a63f7373600d0eeb139e923d17a2b3'
-            'SKIP')
-validpgpkeys=('6694D8DE7BE8EE5631BED9502BD5824B7F9470E6')
-
-prepare() {
-  cd "${pkgname^}-${pkgver}"
-}
-
-build() {
-  cd "${pkgname^}-${pkgver}"
-
-  python setup.py build
-}
-
-package() {
-  cd "${pkgname^}-${pkgver}"
-
-  python setup.py install --root="${pkgdir}" --optimize=1
-  install -D -m644 LICENCE "${pkgdir}"/usr/share/licenses/"${pkgname}"/LICENSE
-}

Copied: electrum/repos/community-any/PKGBUILD (from rev 438021, electrum/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-07 17:03:12 UTC (rev 438022)
@@ -0,0 +1,47 @@
+# Maintainer: Christian Rebischke <chris.rebischke at archlinux.org>
+# Co-Maintainer: Santiago Torres-Arias <santiago at archlinux.org>
+# Contributor: Timothy Redaelli <timothy.redaelli at gmail.com>
+# Contributor: Andy Weidenbaum <archbaum at gmail.com>
+
+pkgname=electrum
+pkgver=3.3.4
+pkgrel=2
+pkgdesc="Lightweight Bitcoin wallet"
+arch=('any')
+makedepends=('python-setuptools')
+depends=('python-pyaes' 'python-ecdsa' 'python-pbkdf2' 'python-requests' 'python-qrcode'
+         'python-protobuf' 'python-dnspython' 'python-jsonrpclib-pelix' 'python-pysocks'
+         'python-pyqt5' 'python-pycryptodomex' 'python-websocket-client' 'python-certifi'
+         'python-aiorpcx' 'python-aiohttp' 'python-aiohttp-socks')
+optdepends=('python-btchip: BTChip hardware wallet support'
+            'python-hidapi: Digital Bitbox hardware wallet support'
+            'python-matplotlib: plot transaction history in graphical mode'
+            'zbar: QR code reading support'
+            'python-rpyc: send commands to Electrum Python console from an external script'
+            'python-qdarkstyle: optional dark theme in graphical mode'
+            'python-pycryptodomex: use PyCryptodome AES implementation instead of pyaes'
+         )
+
+url="https://electrum.org"
+license=('MIT')
+source=("https://download.electrum.org/${pkgver}/${pkgname^}-${pkgver}.tar.gz"{,.asc})
+sha512sums=('297eb757dccb166d40a652be2c1c058e42f16416b586b69f32223966ff1e92a34e5d01822d71bd063bfa72b7bbbcae4251a63f7373600d0eeb139e923d17a2b3'
+            'SKIP')
+validpgpkeys=('6694D8DE7BE8EE5631BED9502BD5824B7F9470E6')
+
+prepare() {
+  cd "${pkgname^}-${pkgver}"
+}
+
+build() {
+  cd "${pkgname^}-${pkgver}"
+
+  python setup.py build
+}
+
+package() {
+  cd "${pkgname^}-${pkgver}"
+
+  python setup.py install --root="${pkgdir}" --optimize=1
+  install -D -m644 LICENCE "${pkgdir}"/usr/share/licenses/"${pkgname}"/LICENSE
+}


More information about the arch-commits mailing list